/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#if !defined(AFX_GLDISPLAYPROPPANE_H__9C713097_3C4B_48CF_88AC_11E2E4E65C87__INCLUDED_)
#define AFX_GLDISPLAYPROPPANE_H__9C713097_3C4B_48CF_88AC_11E2E4E65C87__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"
#include "GLColorButton.h"
#include "GLPropPanel.h"

/////////////////////////////////////////////////////////////////////////////
// CGLDisplayPropPane ダイアログ

class CGLDisplayPropPane : public CGLPropPane
{
	// 非 DDX/DDV データ

// コンストラクション
public:
	CGLDisplayPropPane(fugenDoc* pDoc);

// ダイアログ データ
	//{{AFX_DATA(CGLDisplayPropPane)
	enum { IDD = IDD_PROP_DISPLAY };
	CGLColorButton	m_btnBkgnd;
	CGLColorButton	m_btnAmbient;
	//}}AFX_DATA

	virtual void LoadUserProf();
	virtual BOOL UpdateUserProf();
	virtual void ResetToDefaultUserProf();

	virtual void LoadDocContext();
	virtual BOOL UpdateDocContext();
	virtual void ResetToDefaultDocContext();

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CGLDisplayPropPane)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CGLDisplayPropPane)
	afx_msg void OnButtonAmbient();
	afx_msg void OnButtonBkgnd();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_GLDISPLAYPROPPANE_H__9C713097_3C4B_48CF_88AC_11E2E4E65C87__INCLUDED_)
